Bug 204094 - Compiz doesn't correctly grab the keys.
Compiz doesn't correctly grab the keys.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 10:57 EDT by Søren Sandmann Pedersen
Modified: 2014-06-18 05:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 18:57:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Søren Sandmann Pedersen 2006-08-25 10:57:50 EDT
When you configure Compiz keybindings through the gnome control center, and you
pick a shortcut that applications are already using, the compiz shortcut should
override the application shortcut. This does not appear to happen currently.

For example even if you set maximize vertically to F11, gnome-terminal will
still go to fullscreen when you press F11.
Comment 1 Matthias Clasen 2006-09-20 11:10:35 EDT
but the keybinding capplet does not allow conflicting keybindings, or does it ?
Comment 2 Bastien Nocera 2006-09-21 04:44:16 EDT
The compiz keybindings aren't in the gnome-keybinding-properties capplet
(AFAIK), and the keybindings for the terminal don't appear in there anyway.
Comment 3 Matthias Clasen 2006-09-21 15:24:58 EDT
well, "maximize vertically" is a window manager keybinding, and it is certainly
there.
Comment 4 Søren Sandmann Pedersen 2006-09-28 18:57:32 EDT
Should be fixed in -30.

Note You need to log in before you can comment on or make changes to this bug.